3.x to 4.x worth it?

Discussion in 'Wii - Hacking' started by nethru, Jan 2, 2011.

Jan 2, 2011

3.x to 4.x worth it? by nethru at 2:50 PM (1,152 Views / 0 Likes) 13 replies

  1. nethru
    OP

    Newcomer nethru Newbie

    Joined:
    Jan 2, 2011
    Messages:
    3
    Country:
    United States
    I'm currently using a soft modded 3.4 wii using usbloader and all games work fine so far no issues from the usb drive. Should I even bother updating to 4.x? What are the pros/cons of doing so?
     
  2. brausm08

    Member brausm08 GBAtemp Advanced Fan

    Joined:
    Nov 15, 2009
    Messages:
    721
    Location:
    USA - Midwest
    Country:
    United States
    i guess the old adage applies here....if it ain't broke, don't fix it....

    3.x to 4.x isn't critical....game IOS and cIOS are a bit more important....the only thing you really gain from the SM update is Ninty's version of SDHC storage which isn't all that great anyhow....

    the IOS/cIOS can be updated via Modmii.....
     
  3. wangbu

    Newcomer wangbu Newbie

    Joined:
    Jan 2, 2011
    Messages:
    2
    Country:
    United States
    4.1 version is the best because if you like wii ware and home brew you can store them on SDHC with out losing your system memory [​IMG]
     
  4. brausm08

    Member brausm08 GBAtemp Advanced Fan

    Joined:
    Nov 15, 2009
    Messages:
    721
    Location:
    USA - Midwest
    Country:
    United States
    Triiforce/Sneek are way better options....
     
  5. u4Wii

    Newcomer u4Wii Advanced Member

    Joined:
    Aug 15, 2007
    Messages:
    56
    Country:
    United Kingdom
    I'm in the same boat although I'm on 3.2 softmodded, haven't used my Wii much since summer 2008. Nor have I been browsing these forums so I've lost touch with a lot of developments, hence my semi-newbie queries...

    If I wanted to upgrade to 4.x I'm assuming I do not need to go out and buy/rent Indiana Jones or Smash Bros since I'm already softmodded so that gives me an advantage right? Or do these 4.x firmware nuke everything so that I would have to start with a real copy of said games?

    The only reason I am even contemplating this upgrade is to play the recent rehash of Goldeneye. If grabbing cIOSes and IOSes via ModMii is sufficient then I will skip the firmware upgrade.
     
  6. DarkShadow96

    Member DarkShadow96 LA96£

    Joined:
    Feb 9, 2009
    Messages:
    694
    Location:
    MTL
    Country:
    Canada
    Don't really need to. Been on 3.4 for two years now and I can do everything a 4.3 can. Except for the SM SD card loader. Don't really care about that since I can just use Triiforce.
     
  7. FIX94

    Global Moderator FIX94 Global Moderator

    Joined:
    Dec 3, 2009
    Messages:
    6,547
    Location:
    ???
    Country:
    Germany
    You can't run everything using triiforce, but if you can run everything from it it's OK and I'm sure the system menu is as fast as every version.
    @u4Wii:
    If you want to update use modmii to update to 4.1 or 4.2, everything will be still there, only for 4.3 you would need a game to hack it.
     
  8. Juanmatron

    Member Juanmatron Slater Color

    Joined:
    Aug 5, 2008
    Messages:
    1,667
    Location:
    SEGA's World
    Country:
    Spain
    The best is stay 4.1.
     
  9. ThePowerOutage

    Member ThePowerOutage The Lord of the Flyes

    Joined:
    Mar 23, 2009
    Messages:
    813
    Location:
    Vallhallah
    Country:
    United Kingdom
    Sneek + di need 4.2+ I think, unless that's the emulated NAND.
     
  10. Zetta_x

    Member Zetta_x The Insane Statistician

    Joined:
    Mar 4, 2010
    Messages:
    1,844
    Country:
    United States
    What do you lose with 4.3 from previous versions?

    I can guarantee you, any valid answer and I can find a work around.
     
  11. giantpune

    Member giantpune GBAtemp Addict

    Joined:
    Apr 10, 2009
    Messages:
    2,860
    Country:
    United States
    the only reason to use 3.4 is simply the fact that you are already there. there is nothing desirable of 3.3 to 3.5 over any other system menu version. and the only things you gain with 4.x is the stupid SD card menu and different/more priiloader hacks. if you arent going to use either of those, then dont waste your time.
     
  12. nethru
    OP

    Newcomer nethru Newbie

    Joined:
    Jan 2, 2011
    Messages:
    3
    Country:
    United States
    I'm going to stay on 3.4 but wanted to update my CIOS and Homebrew.

    I installed IOS58 from wiibrew so I could update homebrew channel to 1.0.8 or whatever the latest was. Then i ran CIOSX Rev21 I did 249 base 56 and am able to load USBLoaderGX (new one, old one wouldn't find the usb drive) but when I try to add WAD's with 1.7 or 1.5 i get a Ret Error=1 when selecting the WAD. I wanted to try out that NAND on the SD card dealio and the FS Dump worked fine putting the NAND on it.

    I rolled back to CIOS Rev 14(what i was on previously) everything worked fine again including adding WAD's to system NAND but I still can't install WAD's on my NAND on SD card still for some reason.
     
  13. u4Wii

    Newcomer u4Wii Advanced Member

    Joined:
    Aug 15, 2007
    Messages:
    56
    Country:
    United Kingdom
    Thanks for the tip Fix94, I hadn't heard of Modmii until now and it has made my upgrade from a 2 year old 3.2 install to 4.1 and other updated IOSes etc a complete breeze! [​IMG]
     
  14. ciris

    Member ciris GBAtemp Regular

    Joined:
    Mar 3, 2009
    Messages:
    142
    Country:
    United States
    I too agree with other posters, if you want nintys SDHC feature for channels and such go to 4.1 Im upgraded from 4.1 to 4.2 way back and kinda wished I stayed at 4.1 for the reason of better compatibility of copying game saves. For me the biggest pain on 4.2 is that some game saves just dont copy anymore no matter what tools I tried. The last time I tried this was when Monster Hunter was released and I havent persued it since. I could revert to 4.1 but I dont want to spend time doing that. Maybe the newest rev of gamesave manager works better but I havent tried it.

    IMHO 3.4 or 4.1 was king.
     

Share This Page